#pragma once
#include <io.h>
#include <stdio.h>
#include <stdlib.h>

typedef FILE CFile;

class CWar3File : public CFile  
{
public:
	BOOL WriteString(CWar3String szStr);
	BOOL WriteFloat(CWar3Float f);
	BOOL WriteFlags(CWar3Flags flags);
	BOOL WriteInt(CWar3Int i);
	BOOL WriteStrID(CWar3StrID strID);
	BOOL WriteChar(CWar3Char c);
	BOOL ReadStrID(CWar3StrID &strID);
	BOOL ReadFlags(CWar3Flags &flags);
	BOOL ReadChar(CWar3Char &c);
	BOOL ReadFloat(CWar3Float &f);
	BOOL ReadString(CWar3String &szStr);
	BOOL ReadInt(CWar3Int &i);
	CWar3File();
	virtual ~CWar3File();
};